MyGUI 3.2.0

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files
- Examples

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Types | Public Member Functions | Static Public Member Functions
MyGUI::ResourceTrueTypeFont Class Reference

`#include <MyGUI_ResourceTrueTypeFont.h>`

Inheritance diagram for MyGUI::ResourceTrueTypeFont:
[legend]

## Public Types
typedef RTTIBase | Base
typedef ResourceTrueTypeFont | RTTIBase
Public Types inherited from MyGUI::IFont
typedef RTTIBase | Base
typedef IFont | RTTIBase
Public Types inherited from MyGUI::IResource
typedef RTTIBase | Base
typedef IResource | RTTIBase
Public Types inherited from MyGUI::ISerializable
typedef RTTIBase | Base
typedef ISerializable | RTTIBase
Public Types inherited from MyGUI::IObject
typedef IObject | RTTIBase

## Public Member Functions
virtual const std::string & | getTypeName () const
virtual bool | isType (const std::type_info &_type) const
template<typename Type >
bool | isType () const
| ResourceTrueTypeFont ()
virtual | ~ResourceTrueTypeFont ()
virtual void | deserialization (xml::ElementPtr _node, Version _version)
virtual GlyphInfo * | getGlyphInfo (Char _id)
virtual ITexture * | getTextureFont ()
virtual int | getDefaultHeight ()
std::vector< std::pair< Char, Char > > | getCodePointRanges () const
Char | getSubstituteCodePoint () const
Public Member Functions inherited from MyGUI::IFont
template<typename Type >
bool | isType () const
| IFont ()
virtual | ~IFont ()
Public Member Functions inherited from MyGUI::IResource
template<typename Type >
bool | isType () const
const std::string & | getResourceName () const
Public Member Functions inherited from MyGUI::ISerializable
template<typename Type >
bool | isType () const
| ISerializable ()
virtual | ~ISerializable ()
virtual void | serialization (xml::ElementPtr _node, Version _version)
Public Member Functions inherited from MyGUI::IObject
template<typename Type >
bool | isType () const
template<typename Type >
Type * | castType (bool _throw=true)
template<typename Type >
const Type * | castType (bool _throw=true) const
| IObject ()
virtual | ~IObject ()

## Static Public Member Functions
static const std::string & | getClassTypeName ()
Static Public Member Functions inherited from MyGUI::IFont
static const std::string & | getClassTypeName ()
Static Public Member Functions inherited from MyGUI::IResource
static const std::string & | getClassTypeName ()
Static Public Member Functions inherited from MyGUI::ISerializable
static const std::string & | getClassTypeName ()
Static Public Member Functions inherited from MyGUI::IObject
static const std::string & | getClassTypeName ()

## Additional Inherited Members
Protected Member Functions inherited from MyGUI::IResource
| IResource ()
virtual | ~IResource ()
Protected Attributes inherited from MyGUI::IResource
std::string | mResourceName

## Detailed Description

Definition at line 37 of file MyGUI_ResourceTrueTypeFont.h.

## Member Typedef Documentation

typedef RTTIBase MyGUI::ResourceTrueTypeFont::Base

Definition at line 40 of file MyGUI_ResourceTrueTypeFont.h.

typedef ResourceTrueTypeFont MyGUI::ResourceTrueTypeFont::RTTIBase

Definition at line 40 of file MyGUI_ResourceTrueTypeFont.h.

## Constructor & Destructor Documentation

MyGUI::ResourceTrueTypeFont::ResourceTrueTypeFont | ( |  | ) |

Definition at line 189 of file MyGUI_ResourceTrueTypeFont.cpp.

MyGUI::ResourceTrueTypeFont::~ResourceTrueTypeFont | ( |  | ) |
| virtual

Definition at line 203 of file MyGUI_ResourceTrueTypeFont.cpp.

## Member Function Documentation

void MyGUI::ResourceTrueTypeFont::deserialization | ( | xml::ElementPtr | _node,
|  | Version | _version
| ) |  |
| virtual

Reimplemented from MyGUI::IResource.

Definition at line 212 of file MyGUI_ResourceTrueTypeFont.cpp.

static const std::string& MyGUI::ResourceTrueTypeFont::getClassTypeName | ( |  | ) |
| inline static

Definition at line 40 of file MyGUI_ResourceTrueTypeFont.h.

std::vector< std::pair< Char, Char > > MyGUI::ResourceTrueTypeFont::getCodePointRanges | ( |  | ) | const

Definition at line 322 of file MyGUI_ResourceTrueTypeFont.cpp.

int MyGUI::ResourceTrueTypeFont::getDefaultHeight | ( |  | ) |
| virtual

Implements MyGUI::IFont.

Definition at line 317 of file MyGUI_ResourceTrueTypeFont.cpp.

GlyphInfo * MyGUI::ResourceTrueTypeFont::getGlyphInfo | ( | Char | _id | ) |
| virtual

Implements MyGUI::IFont.

Definition at line 305 of file MyGUI_ResourceTrueTypeFont.cpp.

Char MyGUI::ResourceTrueTypeFont::getSubstituteCodePoint | ( |  | ) | const

Definition at line 358 of file MyGUI_ResourceTrueTypeFont.cpp.

ITexture * MyGUI::ResourceTrueTypeFont::getTextureFont | ( |  | ) |
| virtual

Implements MyGUI::IFont.

Definition at line 312 of file MyGUI_ResourceTrueTypeFont.cpp.

virtual const std::string& MyGUI::ResourceTrueTypeFont::getTypeName | ( |  | ) | const
| inline virtual

Get type name as string

Reimplemented from MyGUI::IFont.

Definition at line 40 of file MyGUI_ResourceTrueTypeFont.h.

template<typename Type >

bool MyGUI::ResourceTrueTypeFont::isType | ( |  | ) | const
| inline

Compare with selected type

Definition at line 40 of file MyGUI_ResourceTrueTypeFont.h.

virtual bool MyGUI::ResourceTrueTypeFont::isType | ( | const std::type_info & | _type | ) | const
| inline virtual

Compare with selected type

Reimplemented from MyGUI::IFont.

Definition at line 40 of file MyGUI_ResourceTrueTypeFont.h.

The documentation for this class was generated from the following files:

- MyGUI_ResourceTrueTypeFont.h
- MyGUI_ResourceTrueTypeFont.cpp